aboutsummaryrefslogtreecommitdiff
path: root/check/bash.sh
diff options
context:
space:
mode:
Diffstat (limited to 'check/bash.sh')
-rw-r--r--check/bash.sh14
1 files changed, 10 insertions, 4 deletions
diff --git a/check/bash.sh b/check/bash.sh
index a3efccb1..1f9e1b38 100644
--- a/check/bash.sh
+++ b/check/bash.sh
@@ -1,5 +1,11 @@
-for bash in bash/* bash/bashrc.d/* ; do
- [ -f "$bash" ] || continue
- bash -n "$bash" || exit
+set \
+ bash/bash_completion \
+ bash/bash_completion.d/*.bash \
+ bash/bash_logout \
+ bash/bash_profile \
+ bash/bashrc \
+ bash/bashrc.d/*.bash
+for bash ; do
+ bash -n -- "$bash" || exit
done
-printf 'All bash(1) scripts parsed successfully.\n'
+printf 'GNU Bash dotfiles parsed successfully.\n'